com.mockobjects

## Class VoidReturnValues

- java.lang.Object
- - com.mockobjects.ReturnValues
  - - com.mockobjects.VoidReturnValues

-     public class VoidReturnValues
      extends ReturnValues

  Sequence of void values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoidReturnValues()`
    `VoidReturnValues(boolean keepUsingLastReturnValue)`
    `VoidReturnValues(java.lang.String name, boolean keepUsingLastReturnValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getNext()`

    - ### Methods inherited from class com.mockobjects.ReturnValues

      `add, addAll, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoidReturnValues

          public VoidReturnValues()

    - #### VoidReturnValues

          public VoidReturnValues(java.lang.String name,
                                  boolean keepUsingLastReturnValue)

    - #### VoidReturnValues

          public VoidReturnValues(boolean keepUsingLastReturnValue)

  - ### Method Detail

    - #### getNext

          public java.lang.Object getNext()

      Overrides:
        `getNext` in class `ReturnValues`

Copyright © 2002 Mock Objects. All Rights Reserved.